﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/PlayerController.h"
#include "CM_PlayerController.generated.h"

/**
 * 
 */
UCLASS()
class CORRUPTEDMEMORY_API ACM_PlayerController : public APlayerController
{
	GENERATED_BODY()

public:
	UFUNCTION(Server, Reliable)
	void ServerAddGameplayTagToShelf(AActor* Shelving, const FString& GameplayTag);
	UFUNCTION(Server, Reliable)
	void ServerRemoveGameplayTagToShelf(AActor* Shelving, const FString& GameplayTag);

protected:
	virtual void BeginPlay() override;
};
