﻿// Fill out your copyright notice in the Description page of Project Settings.


#include "CM_Shelving.h"

#include "Net/UnrealNetwork.h"


// Sets default values
ACM_Shelving::ACM_Shelving()
{
	// Set this actor to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;
	bReplicates = true;
}

void ACM_Shelving::GameplayTagAdded()
{
	if (GameplayTags.Contains("Corrupted"))
	{
		Corrupted();
	}
	if (GameplayTags.Contains("Scanned"))
	{
		Scanned();
	}
}

// Called when the game starts or when spawned
void ACM_Shelving::BeginPlay()
{
	Super::BeginPlay();
}

// Called every frame
void ACM_Shelving::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);
}

void ACM_Shelving::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);
	DOREPLIFETIME(ACM_Shelving, GameplayTags);
}
