﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "CM_Shelving.generated.h"

UCLASS()
class CORRUPTEDMEMORY_API ACM_Shelving : public AActor
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	ACM_Shelving();

	UPROPERTY(ReplicatedUsing=GameplayTagAdded, BlueprintReadOnly, VisibleAnywhere)
	TArray<FString> GameplayTags;
	UFUNCTION(BlueprintImplementableEvent)
	void Corrupted();
	UFUNCTION(BlueprintImplementableEvent)
	void Scanned();

	UFUNCTION()
	void GameplayTagAdded();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;
	virtual void GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const override;
};
